Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.jca.system.mbeans
Interface STCActivationSpecMonitorBean

All Known Implementing Classes:
  STCActivationSpecMonitor

public interface STCActivationSpecMonitorBean

Method Summary
`void` | `disable()`
`void` | `enable()`
`java.lang.String` | `getActivatedTime()`
`java.lang.String` | `getActivationSpecDescription()`
`java.lang.String` | `getActivationSpecName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getShutdownTime()`
`java.lang.Integer` | `getStatus()`
`java.lang.Boolean` | `isEnabled()`
`java.lang.Boolean` | `isSuspended()`
`void` | `resume()`
`void` | `sendAlert()`
`void` | `sendAlert(java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `setActivatedTime(java.lang.String time)`
`void` | `setActivationSpecDescription(java.lang.String asDescription)`
`void` | `setActivationSpecName(java.lang.String asName)`
`void` | `setName(java.lang.String name)`
`void` | `setShutdownTime(java.lang.String time)`
`void` | `setStatus(java.lang.Integer status)`
`void` | `suspend()`

Method Detail

### setActivatedTime

    public void setActivatedTime(java.lang.String time)

### setShutdownTime

    public void setShutdownTime(java.lang.String time)

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setActivationSpecName

    public void setActivationSpecName(java.lang.String asName)

### getActivationSpecName

    public java.lang.String getActivationSpecName()

### setActivationSpecDescription

    public void setActivationSpecDescription(java.lang.String asDescription)

### getActivationSpecDescription

    public java.lang.String getActivationSpecDescription()

### setStatus

    public void setStatus(java.lang.Integer status)

### getStatus

    public java.lang.Integer getStatus()

### enable

    public void enable()

### disable

    public void disable()

### isEnabled

    public java.lang.Boolean isEnabled()

### suspend

    public void suspend()

### resume

    public void resume()

### isSuspended

    public java.lang.Boolean isSuspended()

### getActivatedTime

    public java.lang.String getActivatedTime()

### getShutdownTime

    public java.lang.String getShutdownTime()

### sendAlert

    public void sendAlert()

### sendAlert

    public void sendAlert(java.lang.String alertMsg,
                          int severity)

### sendAlert

    public void sendAlert(java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD